candidate_home:
    path:      /
    defaults:  { _controller: AppBundle:Candidate:index }
candidate_exam_list:
    path:      /examlist
    defaults:  { _controller: AppBundle:Candidate:listExams }
candidate_assigned_exam_list:
    path:      /assigned_examlist
    defaults:  { _controller: AppBundle:CandidateAssignedExams:listExams }
candidate_exam_set_select:
    path:      /exam/{id}
    defaults:  { _controller: AppBundle:Candidate:selectExams }
candidate_exam_set_questions:
    path:      /startexam/{id}
    defaults:  { _controller: AppBundle:Candidate:startExams }
    methods:    [POST]
    
candidate_exam_set_answering:
    path:      /showexam/{id}
    defaults:  { _controller: AppBundle:Candidate:showExam }
    
candidate_exam_set_answer_enter:
    path:      /showexam/addanswer/{id}/{question}
    defaults:  { _controller: AppBundle:Candidate:answeringExam }    
    
candidate_exam_finish:
    path:     /finishexam
    defaults:  { _controller: AppBundle:Candidate:finishExams }
    
candidate_exam_set_dolater:
    path:     /dolater/{questionno}
    defaults:  { _controller: AppBundle:Candidate:doLater }
    
#candidate_skip_question:
#    path:     /skipquestion
#    defaults:  { _controller: AppBundle:Candidate:skipQuestion }
#candidate_answering:
#    path:     /answer/{candexam}/{question}
#    defaults:  { _controller: AppBundle:Candidate:answering}
candidate_report:
    resource: "@AppBundle/Resources/config/routing/candidate_reports.yml"
    prefix:   /reports
    
candidate_validate_assigned_examset:
    path:      /exam_check/{exam_assigned_guid}
    defaults:  { _controller: AppBundle:CandidateAssignedExams:selectExams }